Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.parser
Class OWLlinkBooleanResponseElementHandler

    java.lang.Object

          org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler<R>
              org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkResponseElementHandler<C>
                  org.semanticweb.owlapi.owllink.parser.AbstractConfirmationElementHandler<R>
                      org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkKBResponseElementHandler<BooleanResponse>
                          org.semanticweb.owlapi.owllink.parser.OWLlinkBooleanResponseElementHandler

All Implemented Interfaces:
  OWLlinkElementHandler<BooleanResponse>, OWLlinkResponseElementHandler<BooleanResponse>

    public class OWLlinkBooleanResponseElementHandler

extends AbstractOWLlinkKBResponseElementHandler<BooleanResponse>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 22.10.2009

Field Summary
`protected java.lang.Boolean` | `result`

Constructor Summary
`OWLlinkBooleanResponseElementHandler(OWLXMLParserHandler handler)`

Method Summary
`void` | `attribute(java.lang.String localName, java.lang.String value)`
`BooleanResponse` | `getOWLLinkObject()`
`void` | `startElement(java.lang.String name)`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkKBResponseElementHandler
`getRequest`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkResponseElementHandler
`endElement`

Methods inherited from class org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler
`getFullIRI, getOWLObject, getParentHandler, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.semanticweb.owlapi.owllink.parser.OWLlinkElementHandler
`handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild, handleChild`

Field Detail

### result

    protected java.lang.Boolean result

Constructor Detail

### OWLlinkBooleanResponseElementHandler

    public OWLlinkBooleanResponseElementHandler(OWLXMLParserHandler handler)

Method Detail

### startElement

    public void startElement(java.lang.String name)
                      throws OWLXMLParserException

  Overrides:
    `startElement` in class `AbstractOWLlinkKBResponseElementHandler<BooleanResponse>`
  Throws:
    `OWLXMLParserException`

### attribute

    public void attribute(java.lang.String localName,
                          java.lang.String value)
                   throws OWLXMLParserException

  Overrides:
    `attribute` in class `AbstractConfirmationElementHandler<BooleanResponse>`
  Throws:
    `OWLXMLParserException`

### getOWLLinkObject

    public BooleanResponse getOWLLinkObject()

  Specified by:
    `getOWLLinkObject` in interface `OWLlinkElementHandler<BooleanResponse>`
  Specified by:
    `getOWLLinkObject` in class `AbstractOWLlinkElementHandler<BooleanResponse>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD